Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 977292 - 'evolution --force-shutdown' should kill e-d-s processes as well
Summary: 'evolution --force-shutdown' should kill e-d-s processes as well
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: evolution
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Matthew Barnes
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 977395
TreeView+ depends on / blocked
 
Reported: 2013-06-24 08:55 UTC by David Jaša
Modified: 2014-01-02 11:12 UTC (History)
4 users (show)

Fixed In Version: evolution-2.32.3-10.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 977395 (view as bug list)
Environment:
Last Closed: 2013-11-21 04:53:29 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
GNOME Bugzilla 590245 0 None None None Never
Red Hat Product Errata RHSA-2013:1540 0 normal SHIPPED_LIVE Low: evolution security, bug fix, and enhancement update 2013-11-21 00:40:51 UTC

Description David Jaša 2013-06-24 08:55:34 UTC
Description of problem:
"evolution --force-shutdown" is sometimes used to bring evolution to clean state, but that's not possible without fresh start of e-d-s processes as well.

Version-Release number of selected component (if applicable):
evolution-2.32.3-5.el6.x86_64
evolution-data-server-2.32.3-5.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1. look up evolution and e-{calendar,addressbook}-factory processes PIDs
2. invoke 'evolution --force-shutdown'
3.

Actual results:
the original *factory processes continue to run

Expected results:
*factory processes are killed as well

Additional info:

Comment 4 Milan Crha 2013-06-25 07:23:45 UTC
evolution-alarm-notify process was missing in the list of "to be killed" processes, I added it for evolution-2.32.3-10.el6.

Comment 9 errata-xmlrpc 2013-11-21 04:53:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1540.html


Note You need to log in before you can comment on or make changes to this bug.